function series = normalize_period(series)
% Keep original period and convert str to datetime. 
% Modifies `series`
period = series.period;
period_start_day = series.period_start_day;
series = rmfield(series, "period_start_day");

series.original_period = period;
for ii = 1:length(period_start_day)
    series.period{ii,1} = datestr(datetime(period_start_day{ii},'InputFormat','yyyy-MM-dd'),29);
end
end
