function test_fetch_series_by_id()
df = fetch_series('series_ids',"AMECO/ZUTN/EA19.1.0.0.0.ZUTN");

idx = find(strcmp('provider_code',df(1,:)));
provider_codes = unique(df(2:end,idx));
assert(length(provider_codes)==1);
assert(provider_codes{1} == "AMECO");

idx = find(strcmp('dataset_code',df(1,:)));
dataset_codes = unique(df(2:end,idx));
assert(length(dataset_codes) == 1);
assert(dataset_codes{1} == "ZUTN");

idx = find(strcmp('series_code',df(1,:)));
series_codes = unique(df(2:end,idx));
assert(length(series_codes) == 1);
assert(series_codes{1} == "EA19.1.0.0.0.ZUTN");
end